class CreateRegions < ActiveRecord::Migration[8.0]
  def change
    create_table :regions do |t|
      t.string :name
      t.string :code
      t.string :slug

      t.timestamps
    end
    add_index :regions, :code, unique: true
    add_index :regions, :slug, unique: true
  end
end
