china = Country.find_by code: 'CN'

City.create!([
  {
    name: 'Shanghai',
    latitude: 31.2304,
    longitude: 121.4737,
    country: china,
    timezone: 'Asia/Shanghai',
    active: true,
    priority: 100,
    last_weather_fetch: 10.hours.ago,
    last_image_generation: 10.hours.ago
  },
  {
    name: 'Beijing',
    latitude: 39.9042,
    longitude: 116.4074,
    country: china,
    timezone: 'Asia/Shanghai',
    active: true,
    priority: 100,
    last_weather_fetch: 10.hours.ago,
    last_image_generation: 10.hours.ago
  },
  {
    name: 'Shenzhen',
    latitude: 22.5431,
    longitude: 114.0579,
    country: china,
    timezone: 'Asia/Shanghai',
    active: true,
    priority: 100,
    last_weather_fetch: 10.hours.ago,
    last_image_generation: 10.hours.ago
  },
  {
    name: 'Guangzhou',
    latitude: 23.1291,
    longitude: 113.2644,
    country: china,
    timezone: 'Asia/Shanghai',
    active: true,
    priority: 100,
    last_weather_fetch: 10.hours.ago,
    last_image_generation: 10.hours.ago
  },
  {
    name: 'Chengdu',
    latitude: 30.5728,
    longitude: 104.0668,
    country: china,
    timezone: 'Asia/Shanghai',
    active: true,
    priority: 100,
    last_weather_fetch: 10.hours.ago,
    last_image_generation: 10.hours.ago
  },
  {
    name: 'Tianjin',
    latitude: 39.3434,
    longitude: 117.3616,
    country: china,
    timezone: 'Asia/Shanghai',
    active: true,
    priority: 100,
    last_weather_fetch: 10.hours.ago,
    last_image_generation: 10.hours.ago
  },
  {
    name: 'Wuhan',
    latitude: 30.5928,
    longitude: 114.3055,
    country: china,
    timezone: 'Asia/Shanghai',
    active: true,
    priority: 100,
    last_weather_fetch: 10.hours.ago,
    last_image_generation: 10.hours.ago
  },
  {
    name: 'Dongguan',
    latitude: 23.0208,
    longitude: 113.7518,
    country: china,
    timezone: 'Asia/Shanghai',
    active: true,
    priority: 100,
    last_weather_fetch: 10.hours.ago,
    last_image_generation: 10.hours.ago
  },
  {
    name: 'Chongqing',
    latitude: 29.4316,
    longitude: 106.9123,
    country: china,
    timezone: 'Asia/Shanghai',
    active: true,
    priority: 100,
    last_weather_fetch: 10.hours.ago,
    last_image_generation: 10.hours.ago
  },
  {
    name: "Xi'an",
    latitude: 34.3416,
    longitude: 108.9398,
    country: china,
    timezone: 'Asia/Shanghai',
    active: true,
    priority: 100,
    last_weather_fetch: 10.hours.ago,
    last_image_generation: 10.hours.ago
  },
  {
    name: 'Hangzhou',
    latitude: 30.2741,
    longitude: 120.1551,
    country: china,
    timezone: 'Asia/Shanghai',
    active: true,
    priority: 100,
    last_weather_fetch: 10.hours.ago,
    last_image_generation: 10.hours.ago
  },
  {
    name: 'Foshan',
    latitude: 23.0219,
    longitude: 113.1216,
    country: china,
    timezone: 'Asia/Shanghai',
    active: true,
    priority: 100,
    last_weather_fetch: 10.hours.ago,
    last_image_generation: 10.hours.ago
  },
  {
    name: 'Nanjing',
    latitude: 32.0603,
    longitude: 118.7969,
    country: china,
    timezone: 'Asia/Shanghai',
    active: true,
    priority: 100,
    last_weather_fetch: 10.hours.ago,
    last_image_generation: 10.hours.ago
  },
  {
    name: 'Hong Kong',
    latitude: 22.3193,
    longitude: 114.1694,
    country: china,
    timezone: 'Asia/Hong_Kong',
    active: true,
    priority: 100,
    last_weather_fetch: 10.hours.ago,
    last_image_generation: 10.hours.ago
  },
  {
    name: 'Shenyang',
    latitude: 41.8057,
    longitude: 123.4315,
    country: china,
    timezone: 'Asia/Shanghai',
    active: true,
    priority: 100,
    last_weather_fetch: 10.hours.ago,
    last_image_generation: 10.hours.ago
  },
  {
    name: 'Zhengzhou',
    latitude: 34.7472,
    longitude: 113.6249,
    country: china,
    timezone: 'Asia/Shanghai',
    active: true,
    priority: 100,
    last_weather_fetch: 10.hours.ago,
    last_image_generation: 10.hours.ago
  },
  {
    name: 'Qingdao',
    latitude: 36.0671,
    longitude: 120.3826,
    country: china,
    timezone: 'Asia/Shanghai',
    active: true,
    priority: 100,
    last_weather_fetch: 10.hours.ago,
    last_image_generation: 10.hours.ago
  },
  {
    name: 'Suzhou',
    latitude: 31.2990,
    longitude: 120.5853,
    country: china,
    timezone: 'Asia/Shanghai',
    active: true,
    priority: 100,
    last_weather_fetch: 10.hours.ago,
    last_image_generation: 10.hours.ago
  },
  {
    name: 'Changsha',
    latitude: 28.2282,
    longitude: 112.9388,
    country: china,
    timezone: 'Asia/Shanghai',
    active: true,
    priority: 100,
    last_weather_fetch: 10.hours.ago,
    last_image_generation: 10.hours.ago
  },
  {
    name: 'Jinan',
    latitude: 36.6512,
    longitude: 117.1201,
    country: china,
    timezone: 'Asia/Shanghai',
    active: true,
    priority: 100,
    last_weather_fetch: 10.hours.ago,
    last_image_generation: 10.hours.ago
  },
  {
    name: 'Kunming',
    latitude: 25.0389,
    longitude: 102.7183,
    country: china,
    timezone: 'Asia/Shanghai',
    active: true,
    priority: 100,
    last_weather_fetch: 10.hours.ago,
    last_image_generation: 10.hours.ago
  },
  {
    name: 'Harbin',
    latitude: 45.8038,
    longitude: 126.5340,
    country: china,
    timezone: 'Asia/Shanghai',
    active: true,
    priority: 100,
    last_weather_fetch: 10.hours.ago,
    last_image_generation: 10.hours.ago
  },
  {
    name: 'Shijiazhuang',
    latitude: 38.0428,
    longitude: 114.5149,
    country: china,
    timezone: 'Asia/Shanghai',
    active: true,
    priority: 100,
    last_weather_fetch: 10.hours.ago,
    last_image_generation: 10.hours.ago
  },
  {
    name: 'Hefei',
    latitude: 31.8206,
    longitude: 117.2272,
    country: china,
    timezone: 'Asia/Shanghai',
    active: true,
    priority: 100,
    last_weather_fetch: 10.hours.ago,
    last_image_generation: 10.hours.ago
  },
  {
    name: 'Dalian',
    latitude: 38.9140,
    longitude: 121.6147,
    country: china,
    timezone: 'Asia/Shanghai',
    active: true,
    priority: 100,
    last_weather_fetch: 10.hours.ago,
    last_image_generation: 10.hours.ago
  },
  {
    name: 'Xiamen',
    latitude: 24.4798,
    longitude: 118.0819,
    country: china,
    timezone: 'Asia/Shanghai',
    active: true,
    priority: 100,
    last_weather_fetch: 10.hours.ago,
    last_image_generation: 10.hours.ago
  },
  {
    name: 'Nanning',
    latitude: 22.8170,
    longitude: 108.3665,
    country: china,
    timezone: 'Asia/Shanghai',
    active: true,
    priority: 100,
    last_weather_fetch: 10.hours.ago,
    last_image_generation: 10.hours.ago
  },
  {
    name: 'Changchun',
    latitude: 43.8171,
    longitude: 125.3235,
    country: china,
    timezone: 'Asia/Shanghai',
    active: true,
    priority: 100,
    last_weather_fetch: 10.hours.ago,
    last_image_generation: 10.hours.ago
  },
  {
    name: 'Taiyuan',
    latitude: 37.8706,
    longitude: 112.5489,
    country: china,
    timezone: 'Asia/Shanghai',
    active: true,
    priority: 100,
    last_weather_fetch: 10.hours.ago,
    last_image_generation: 10.hours.ago
  },
  {
    name: 'New Taipei City',
    latitude: 25.0120,
    longitude: 121.4657,
    country: china,
    timezone: 'Asia/Taipei',
    active: true,
    priority: 100,
    last_weather_fetch: 10.hours.ago,
    last_image_generation: 10.hours.ago
  },
  {
    name: 'Guiyang',
    latitude: 26.6470,
    longitude: 106.6302,
    country: china,
    timezone: 'Asia/Shanghai',
    active: true,
    priority: 100,
    last_weather_fetch: 10.hours.ago,
    last_image_generation: 10.hours.ago
  },
  {
    name: 'Wuxi',
    latitude: 31.4914,
    longitude: 120.3119,
    country: china,
    timezone: 'Asia/Shanghai',
    active: true,
    priority: 100,
    last_weather_fetch: 10.hours.ago,
    last_image_generation: 10.hours.ago
  },
  {
    name: 'Shantou',
    latitude: 23.3535,
    longitude: 116.6822,
    country: china,
    timezone: 'Asia/Shanghai',
    active: true,
    priority: 100,
    last_weather_fetch: 10.hours.ago,
    last_image_generation: 10.hours.ago
  },
  {
    name: 'Ürümqi',
    latitude: 43.8256,
    longitude: 87.6168,
    country: china,
    timezone: 'Asia/Shanghai',
    active: true,
    priority: 100,
    last_weather_fetch: 10.hours.ago,
    last_image_generation: 10.hours.ago
  },
  {
    name: 'Zhongshan',
    latitude: 22.5415,
    longitude: 113.3926,
    country: china,
    timezone: 'Asia/Shanghai',
    active: true,
    priority: 100,
    last_weather_fetch: 10.hours.ago,
    last_image_generation: 10.hours.ago
  },
  {
    name: 'Ningbo',
    latitude: 29.8683,
    longitude: 121.5440,
    country: china,
    timezone: 'Asia/Shanghai',
    active: true,
    priority: 100,
    last_weather_fetch: 10.hours.ago,
    last_image_generation: 10.hours.ago
  },
  {
    name: 'Fuzhou',
    latitude: 26.0745,
    longitude: 119.2965,
    country: china,
    timezone: 'Asia/Shanghai',
    active: true,
    priority: 100,
    last_weather_fetch: 10.hours.ago,
    last_image_generation: 10.hours.ago
  },
  {
    name: 'Nanchang',
    latitude: 28.6820,
    longitude: 115.8579,
    country: china,
    timezone: 'Asia/Shanghai',
    active: true,
    priority: 100,
    last_weather_fetch: 10.hours.ago,
    last_image_generation: 10.hours.ago
  }
])
