australia = Country.find_by code: 'AU'

City.create!([
  {
    name: 'Sydney',
    latitude: -33.8688,
    longitude: 151.2093,
    country: australia,
    timezone: 'Australia/Sydney',
    active: true,
    priority: 80,
    last_weather_fetch: 10.hours.ago,
    last_image_generation: 10.hours.ago
  },
  {
    name: 'Melbourne',
    latitude: -37.8136,
    longitude: 144.9631,
    country: australia,
    timezone: 'Australia/Melbourne',
    active: true,
    priority: 75,
    last_weather_fetch: 10.hours.ago,
    last_image_generation: 10.hours.ago
  }
])
