module.exports = {
  content: [
    './app/views/**/*.html.erb',
    './app/helpers/**/*.rb',
    './app/assets/stylesheets/**/*.css',
    './app/javascript/**/*.js'
  ],
  theme: {
    extend: {
      fontFamily: {
        'display': ['"Playfair Display"', 'serif'],
        'sans': ['Raleway', 'sans-serif'],
      },
      height: {
        'screen-90': '90vh',
      }
    },
  },
  plugins: [
    require('daisyui'),
  ],
  daisyui: {
    themes: [
      {
        light: {
          ...require("daisyui/src/theming/themes")["[data-theme=light]"],
          "primary": "#2A4365",
          "secondary": "#805AD5",
          "accent": "#38B2AC",
          "neutral": "#2D3748",
          "base-100": "#F7FAFC",
        },
      },
    ],
  },
}
